LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File smuxi.changes of Package smuxi (Project GNOME:Apps)

-------------------------------------------------------------------
Thu Dec 19 08:39:38 UTC 2013 - dimstar@opensuse.org

- Update to version 0.10:
  + Tabs were replaced with a new nice chat list.
  + Plugin/scripting support through Smuxi hooks.
  + Twitter now with /reply, /retweet, /follow, /unfollow, /search
    and /timeline commands and menus.
- Create new subpackage frontend-gnome-twitter and corresponding
  -lang packages.
- Have smuxi-engine-twitter recommend smuxi-engine-twitter-lang
  instead of smuxi-engine-jabbr-lang (copy&paste error).

-------------------------------------------------------------------
Mon Aug 26 17:03:33 UTC 2013 - dimstar@opensuse.org

- Update to version 0.9:
  + Enhanced user interface.
  + Text frontend enhancements.
  + JabbR Support.
  + Twitter enhancements.
  + XMPP Enhancements.
  + IRC Enhancements.
  + Updated translations.
- Create new subpackage engine-jabbr.
- Pass MCS=/usr/bin/dmcs to configure: we want to be sure to use
  Mono 4.0 compiler.
- Drop engine-twitter-lang package: superseded by
  engine-jabbr-lang.

-------------------------------------------------------------------
Sat Jun 29 13:22:21 UTC 2013 - dimstar@opensuse.org

- Update to version 0.8.11:
  + Enhanced User Interface.
  + Mac OSX enhancements.
  + Text frontend enhancements.
  + Campfire support.
  + XMPP enhancements.
  + IRC enhancements.
  + Build system fixes.
  + Updated translations.
- Split out smuxi-engine-campfire and respective -lang package.
- Drop smuxi-mono3.patch: fixed upstream.

-------------------------------------------------------------------
Wed Jan  9 15:48:21 UTC 2013 - dimstar@opensuse.org

- Add smuxi-mono3.patch: Fix build with mono 3.0.

-------------------------------------------------------------------
Wed Sep 12 08:49:57 UTC 2012 - awafaa@opensuse.org

- Update to version 0.8.10.1:
  + Integrated spell checking
  + Favicons for Server tabs
  + Quick Join bar
  + Enhanced Text frontend
  + Indentation of multi-lin messages
  + Enhanced commands
  + Updated translations.

-------------------------------------------------------------------
Sat Feb 11 12:58:02 UTC 2012 - dimstar@opensuse.org

- Update to version 0.8.9.2:
  + Engine:
    - Fortify config parsing.
  + XMPP Engine:
    - Added proxy support
    - Implemented /awat command
    - Added missing help for available commands
  + GNOME Frontend:
    - Support to cycle through chats from last to first and first
      to last.
    - Minor bug fixes.
  + Various build fixes
  + Updated translations

-------------------------------------------------------------------
Tue Jan 24 11:33:24 UTC 2012 - vuntz@opensuse.org

- Move to pkgconfig() BuildRequires:
  + Old ones: glade-sharp2, gtk-sharp2, log4net, nini,
    notify-sharp.
  + New ones: glade-sharp-2.0, glib-sharp-2.0, gtk-sharp-2.0,
    log4net, nini-1.1, notify-sharp.
- Add %post/%postun for frontend-gnome subpackages, with calls to
  %desktop_database_post(un) and %icon_theme_cache_post(un).

-------------------------------------------------------------------
Wed Jan 18 09:35:36 UTC 2012 - vuntz@opensuse.org

- Update to version 0.8.9.1:
  + Chat History on Disk (Beta).
  + Jabber / XMPP Support (Beta).
  + Text Interface (Alpha) (not built).
  + NetworkManager Support.
  + IPv6 Support.
  + Enhanced Find Group Chat Support.
  + SSL for IRC fixed.
  + Fix crashes.
  + Enhanced Notice Handling.
  + Twitter fixes.
  + Extended Keybindings.
  + Smuxi Server specific highlights:
    - More interactive and much faster synchronization
    - More background communication
    - Low Bandwidth Mode
    - Stable Protocol
    - Shutdown Command
    - Built-in SSH Keyfile Support
  + Updated translations.
- Drop desktop-file.patch: fixed upstream.
- Drop smuxi-mono-2.10.patch: fixed upstream.
- Add pkgconfig(dbus-sharp-1.0) and pkgconfig(dbus-sharp-glib-1.0)
  BuildRequires: new dependencies.
- Create engine-xmpp and frontend-gnome-xmpp subpackages for the
  new XMPP support.
- Change smuxi-frontend-gnome-irc Recommends to main subpackage to
  smuxi-frontend-gnome: there's no reason to favour the irc engine.
- Add smuxi-engine-{irc,xmpp} Recommends to smuxi-engine, to make
  sure we have useful engines installed by default.
- Add Supplements for smuxi-frontend-gnome and smuxi-engine-irc to
  smuxi-frontend-gnome-irc.

-------------------------------------------------------------------
Fri Jun 17 04:52:52 CEST 2011 - vuntz@opensuse.org

- Import package from the build service (version 0.8).
- Cleanup for inclusion in Factory.